Contact form

Discuss PivotX 2.0.x extensions here, and view extensions that are available for download.

Re: Contact form

Postby claudiuisme » Sat Apr 13, 2013 10:13 am

I've made the translation in romanian language for the contact form, complete with the html code for the special caharacters. It can be downloaded from https://docs.google.com/file/d/0B2b2rrG2ETyHeFE1LUl0OTM1NGc/edit?usp=sharing.
Also, Ive made a slight change in the time/date format to be idential for the mail send for the admin and the ones for the selected reipient. The file is for download at https://docs.google.com/file/d/0B2b2rrG2ETyHWHB6Vy1VbG1uQ28/edit?usp=sharing.

I had some problems with the connection to gmail account:
SMTP server error: 5.5.1 Authentication Required. Learn more at 530 5.5.1 http://mail.google.com/support/bin/answ ... swer=14257 d13sm702743fka.52
for ssl and
Must issue a STARTTLS command first
for tls.

After updating the class.phpmailer.php, class.pop3.php and class.smtp.php to the 5.2.5 version of the PHPMailer everything worked like a charm :idea: .

Good work with the form!
claudiuisme
 
Posts: 7
Joined: Fri Mar 08, 2013 10:08 pm

Re: Contact form

Postby ljhelbo » Mon Apr 15, 2013 2:50 pm

Hi and thank you!

I will make the updates and resubmit it. But one question - you write phpmailer 5.2.5. As far as I can see, the most recent version is 5.2.4 from february 19th. I am looking at code.google.com?
ljhelbo
 
Posts: 104
Joined: Sat Feb 26, 2011 2:58 pm
Location: Denmark

Re: Contact form

Postby claudiuisme » Tue Apr 16, 2013 3:05 pm

It is on https://github.com/Synchro/PHPMailer. Now 5.2.6 is aviable ;)
claudiuisme
 
Posts: 7
Joined: Fri Mar 08, 2013 10:08 pm

Re: Contact form

Postby kalice » Thu Feb 20, 2014 1:27 pm

Hi, j have this error:

Warning: require(D:\inetpub\webs\sitename\public\pivotx\extensions\contactform/lang/lang-.php) [function.require]: failed to open stream: No such file or directory in D:\inetpub\webs\sitename\public\pivotx\extensions\contactform\embed.php on line 9

Fatal error: require() [function.require]: Failed opening required 'D:\inetpub\webs\sitename\public\pivotx\extensions\contactform/lang/lang-.php' (include_path='.;c:\php\includes') in D:\inetpub\webs\sitename\public\pivotx\extensions\contactform\embed.php on line 9

Help me???? :o
kalice
 
Posts: 4
Joined: Thu Feb 20, 2014 1:24 pm

Re: Contact form

Postby Harm10 » Thu Feb 20, 2014 5:21 pm

Judging from the error it seems that no language has been set for your site?
Quality is in the detail of things............

Want to change or update your PivotX site? Mail or PM me!
I can also convert your site to a Wordpress site!
Harm10
Developer
 
Posts: 2010
Joined: Wed Jun 17, 2009 9:37 am
Location: Somewhere in The Netherlands (aka Holland)

Re: Contact form

Postby kalice » Thu Feb 20, 2014 9:34 pm

the language is set. I also tried to change the language, but nothing!
kalice
 
Posts: 4
Joined: Thu Feb 20, 2014 1:24 pm

Re: Contact form

Postby kalice » Thu Feb 20, 2014 9:40 pm

the problem seems to be $ contactform_params in embed.php .... :roll:
kalice
 
Posts: 4
Joined: Thu Feb 20, 2014 1:24 pm

Re: Contact form

Postby Harm10 » Thu Feb 20, 2014 9:53 pm

What language did you select in the contactform config itself?
It seems that it uses that setting.
Quality is in the detail of things............

Want to change or update your PivotX site? Mail or PM me!
I can also convert your site to a Wordpress site!
Harm10
Developer
 
Posts: 2010
Joined: Wed Jun 17, 2009 9:37 am
Location: Somewhere in The Netherlands (aka Holland)

Re: Contact form

Postby kalice » Sun Feb 23, 2014 10:41 am

Solved!

I have changed the javascript link

from:
javascript:newPopup('http://www.domainname.com/public/pivotx/extensions/contactform/index.php?email=0',600,520)
to:
javascript:newPopup('http://www.domainname.com/public/pivotx/extensions/contactform/index.php?email=3',600,520)

and now work fine!
kalice
 
Posts: 4
Joined: Thu Feb 20, 2014 1:24 pm

Previous

Return to 2.x Extensions

Who is online

Users browsing this forum: No registered users and 3 guests